[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# ExtractFieldName

Extract the field name at position

## Declaration

Source position: db.pas line 2257

`function ExtractFieldName(`
`const Fields: string;`
`var Pos: Integer`
`):string;`

## Arguments

`Fields` |  | Semicolon-separated list of field names
`Pos` |  | Position to start copying.

## Function result

Name of the field

## Description

ExtractFieldName returns the string starting at position Pos till the next semicolon (;) character or the end of the string. On return, Pos contains the position of the first character after the semicolon character (or one more than the length of the string).

## See also

Tfields.GetFieldList